> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apidatasets versions

> POST /datasets/{datasetId}/versions/ — append a new version.



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/datasets/{dataset_pk}/versions/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/datasets/{dataset_pk}/versions/:
    post:
      tags:
        - api
      description: POST /datasets/{datasetId}/versions/ — append a new version.
      operationId: api_datasets_versions_create
      parameters:
        - in: path
          name: dataset_pk
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetVersionCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DatasetVersionCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DatasetVersionCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetVersion'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    DatasetVersionCreate:
      type: object
      description: POST /datasets/{id}/versions/ — append a new DatasetVersion.
      properties:
        asset_content_id:
          type: string
          format: uuid
      required:
        - asset_content_id
    DatasetVersion:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        dataset:
          type: string
          format: uuid
          readOnly: true
        version_number:
          type: integer
          readOnly: true
        asset_content:
          type: string
          format: uuid
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/DatasetVersionStatusEnum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - asset_content
        - created_at
        - dataset
        - id
        - status
        - updated_at
        - version_number
    DatasetVersionStatusEnum:
      enum:
        - UPLOADED
        - PREPROCESSING_QUEUED
        - PREPROCESSING_RUNNING
        - PREPROCESSING_FAILED
        - READY
        - DEPRECATED
      type: string
      description: |-
        * `UPLOADED` - Uploaded
        * `PREPROCESSING_QUEUED` - Preprocessing Queued
        * `PREPROCESSING_RUNNING` - Preprocessing Running
        * `PREPROCESSING_FAILED` - Preprocessing Failed
        * `READY` - Ready
        * `DEPRECATED` - Deprecated

````